<?php
/**
 * @package Glam Fashion Blog
 */

function glam_fashion_blog_customizer_add_defaults( $default_options) {
	$defaults = array(
		'glam_fashion_blog_excerpt_length'    => 30,
	);
	$updated_defaults = wp_parse_args( $defaults, $default_options );

	return $updated_defaults;
}
add_filter( 'glam_fashion_blog_customizer_defaults', 'glam_fashion_blog_customizer_add_defaults' );

function glam_fashion_blog_gtm( $option ) {
	$defaults = apply_filters( 'glam_fashion_blog_customizer_defaults', true );

	return isset( $defaults[ $option ] ) ? get_theme_mod( $option, $defaults[ $option ] ) : get_theme_mod( $option );
}

if ( ! function_exists( 'glam_fashion_blog_excerpt_length' ) ) :
	function glam_fashion_blog_excerpt_length( $length ) {
		if ( is_admin() ) {
			return $length;
		}

		$length	= glam_fashion_blog_gtm( 'glam_fashion_blog_excerpt_length' );

		return absint( $length );
	} 
endif;
add_filter( 'excerpt_length', 'glam_fashion_blog_excerpt_length', 999 );